Bug 987149 - WebCalendar: multiple flaws fixed in version 1.2.7
WebCalendar: multiple flaws fixed in version 1.2.7
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130122,repor...
: Security
Depends On: 987152
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 16:01 EDT by Vincent Danen
Modified: 2013-08-08 17:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: WebCalendar 1.2.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 17:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-07-22 16:01:03 EDT
The upstream releases notes for version 1.2.7 [1] indicate that if fixes several security-relevant bugs:

Version 1.2.7 (22 Jan 2013)
 - Security fix: Do not show the reason for a failed login (i.e. "no such user")
 - Security fix: Escape HTML characters in category name.
 - Security fix: Check all passed in fields (either via HTML form or via
   URL parameter) for certain malicious tags (script, embed, etc.) and
   generate fatal error if found.

Current versions of Fedora are shipping a vulnerable version and should be updated.

[1] http://sourceforge.net/projects/webcalendar/files/webcalendar%201.2/1.2.7/
Comment 1 Vincent Danen 2013-07-22 16:13:55 EDT
Created WebCalendar tracking bugs for this issue:

Affects: fedora-all [bug 987152]
Comment 2 Fedora Update System 2013-08-02 17:50:58 EDT
WebCalendar-1.2.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-08-02 18:09:13 EDT
WebCalendar-1.2.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.